%global forgeurl https://github.com/eworm-de/journal-notify
%global tag 0.1.2

Version:       %{tag}
Name:          journal-notify
%forgemeta
Release:       %autorelease
License:       GPL-3.0-or-later
Summary:       Produces notifications whenever systemd journal logs an entry
URL:           %{forgeurl}
Source:        %{forgesource}

BuildRequires: gcc
BuildRequires: libnotify-devel
BuildRequires: systemd-devel
BuildRequires: gnome-icon-theme
BuildRequires: discount

%description
This runs in the background and produces notifications 
whenever systemd journal logs an entry.

%package doc
Summary: Produces notifications whenever systemd journal logs an entry - docs
BuildArch:    noarch
Requires:     %{name} = %{version}-%{release}

%description doc
This runs in the background and produces notifications 
whenever systemd journal logs an entry.
Documentation


%prep
%forgesetup


%build
%make_build

%install
%make_install

%files
%{_bindir}/journal-notify
%{_datadir}/journal-notify/desktop/journal-notify-crit-alert-emerg.desktop
%{_datadir}/journal-notify/desktop/journal-notify-dhcpd.desktop
%{_datadir}/journal-notify/desktop/journal-notify-sshd.desktop
%{_datadir}/journal-notify/execute/echo.sh
%{_datadir}/journal-notify/execute/mail.sh
%{_datadir}/journal-notify/systemd/journal-notify-sshd.service


%doc README.md
%license COPYING.md

%files doc
%doc %{_docdir}/%{name}/README.html
%dir %{_docdir}/%{name}/screenshots
%doc %{_docdir}/%{name}/screenshots/notification.png
%doc %{_docdir}/%{name}/screenshots/throttling.png

%changelog
%autochangelog

